|
|
@ -28,7 +28,9 @@ x_board_size = 36.07 |
|
|
|
y_board_size = 28.75 |
|
|
|
|
|
|
|
hole_dist_x = 22.76 |
|
|
|
hole_dist_y = 31.29 |
|
|
|
hole_dist_y = ( |
|
|
|
31.29 - 0.15 |
|
|
|
) # Need to subtract a bit because it's slightly off, but the original number is correct |
|
|
|
|
|
|
|
hole_diameter = 3.44 |
|
|
|
hole_radius = hole_diameter / 2.0 |
|
|
@ -130,7 +132,7 @@ bottom = ( |
|
|
|
.vertices() |
|
|
|
.threadedHole(top_screw, 2.0, simple=screw_simple, fit="Close", counterSunk=False) |
|
|
|
) |
|
|
|
0 |
|
|
|
|
|
|
|
bottom = ( |
|
|
|
bottom.workplane(offset=-(box_height / 2.0) + 9.0) |
|
|
|
.move( |
|
|
@ -150,6 +152,26 @@ bottom = ( |
|
|
|
.threadedHole(top_screw, 2.0, simple=screw_simple, fit="Close", counterSunk=False) |
|
|
|
) |
|
|
|
|
|
|
|
bottom = ( |
|
|
|
bottom.workplane(offset=-(box_height / 2.0) + 9.0) |
|
|
|
.move( |
|
|
|
-(box_length / 4.0), |
|
|
|
0, |
|
|
|
) |
|
|
|
.rect(hole_dist_x, hole_dist_y) |
|
|
|
.vertices() |
|
|
|
.cylinder(4, hole_radius + 1) |
|
|
|
.workplane(offset=-(box_height / 2.0) + 11.10) |
|
|
|
.move( |
|
|
|
-(box_length / 4.0), |
|
|
|
0, |
|
|
|
) |
|
|
|
.rect(hole_dist_x, hole_dist_y) |
|
|
|
.vertices() |
|
|
|
.threadedHole(top_screw, 2.0, simple=screw_simple, fit="Close", counterSunk=False) |
|
|
|
) |
|
|
|
|
|
|
|
|
|
|
|
cq.exporters.export(bottom, "/home/deck/model_files/carlon_probe_amp_enclosure_box.stl") |
|
|
|
cq.exporters.export(top, "/home/deck/model_files/carlon_probe_amp_enclosure_lid.stl") |
|
|
|
|
|
|
|